Bug 125511 - Icons placed between different colored areas in Tabbed / Tabbed Compact UI modes on macOS
Summary: Icons placed between different colored areas in Tabbed / Tabbed Compact UI mo...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha1+
Hardware: All macOS (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Notebookbar-Tabbed
  Show dependency treegraph
 
Reported: 2019-05-26 21:29 UTC by Thorsten Wagner
Modified: 2022-02-24 03:36 UTC (History)
0 users

See Also:
Crash report or crash signature:
Regression By:


Attachments
Screenshot (81.08 KB, image/png)
2019-05-26 21:30 UTC, Thorsten Wagner
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thorsten Wagner 2019-05-26 21:29:45 UTC
Description:
Tabbed / Tabbed Compacat UI modes on macOS have a light gray area on top and a toolbar colored with darker gray below. Topmost icons are placed crossing the border between light gray area and darker gray area (see screenshot). A possible solution could be using a uniform gray for both areas (as in Groupedbar Compact UI mode).

Steps to Reproduce:
(1) Open any LO application, e.g. Writer

(2) Select View / User Interface / Tabbed

Actual Results:
Topmost icons are rendered crossing border between light gray area on top and darker gray toolbar.

Expected Results:
Topmost area as well as toolbar are drawn using same color.


Reproducible: Always


User Profile Reset: No


OpenGL enabled: Yes

Additional Info:
Comment 1 Thorsten Wagner 2019-05-26 21:30:06 UTC
Created attachment 151688 [details]
Screenshot
Comment 2 Alex Thurgood 2019-05-27 12:10:33 UTC
Confirming with 

Version: 6.3.0.0.alpha0+
Build ID: 03a2f3ec4316a3953c2fa40e6e59c2ebbc824d09
CPU threads: 4; OS: Mac OS X 10.14.4; UI render: default; VCL: osx; 
Locale: fr-FR (fr_FR.UTF-8); UI-Language: en-US
Calc: threaded
Comment 3 QA Administrators 2022-02-24 03:36:48 UTC
Dear Thorsten Wagner,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug